Skip to content

Cancel upgrade

DELETE/firewalls/actions/firmware-upgrade

Firewall Management API · Firewalls

Cancel scheduled upgrade.

Required permissionfwcm.firewall.group:write

Parameters

Name In Type Required Description
X-Tenant-ID header string (uuid) Yes Tenant ID.
ids query array of string (uuid) No CSV based UUID.

Request samples

curl -X DELETE "https://api-<data-region>.central.sophos.com/firewall/v1/firewalls/actions/firmware-upgrade" -H "Authorization: Bearer <access-token>" -H "X-Tenant-ID: <tenant-id>"

import requests

response = requests.delete(
    "https://api-<data-region>.central.sophos.com/firewall/v1/firewalls/actions/firmware-upgrade",
    headers={
        "Authorization": "Bearer <access-token>",
        "X-Tenant-ID": "<tenant-id>",
    },
)
print(response.json())

$headers = @{
    "Authorization" = "Bearer <access-token>"
    "X-Tenant-ID" = "<tenant-id>"
}
Invoke-RestMethod -Method DELETE -Uri "https://api-<data-region>.central.sophos.com/firewall/v1/firewalls/actions/firmware-upgrade" -Headers $headers

package main

import (
    "fmt"
    "io"
    "net/http"
)

func main() {
    req, err := http.NewRequest("DELETE", "https://api-<data-region>.central.sophos.com/firewall/v1/firewalls/actions/firmware-upgrade", nil)
    if err != nil {
        panic(err)
    }
    req.Header.Set("Authorization", "Bearer <access-token>")
    req.Header.Set("X-Tenant-ID", "<tenant-id>")

    resp, err := http.DefaultClient.Do(req)
    if err != nil {
        panic(err)
    }
    defer resp.Body.Close()

    body, _ := io.ReadAll(resp.Body)
    fmt.Println(string(body))
}

const response = await fetch("https://api-<data-region>.central.sophos.com/firewall/v1/firewalls/actions/firmware-upgrade", {
  method: "DELETE",
  headers: {
    "Authorization": "Bearer <access-token>",
    "X-Tenant-ID": "<tenant-id>",
  },
});
const data = await response.json();
console.log(data);

Responses

200 — Upgrade cancelled successfully.

Response fields

deletedbooleanrequired

Errors

Status Meaning
400 Invalid request.
401 Authentication required.
403 Authorization required.
404 Can't find firewall.
500 Unexpected error.

All error responses share the same shape — see the error response object.

Response examples

200

{
  "deleted": true
}

See the guide for a narrative walkthrough of this API.